Subject: bug#463: closed (Re: bug#463: multiple line Local Variables at the TOP of a file)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 22 Feb 2012 01:13:02 +0000

Your bug report

#463: multiple line Local Variables at the TOP of a file

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
463: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=463
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#463: multiple line Local Variables at the TOP of a file
From: Glenn Morris <[email-masked]>
To: [email-masked]
Date: Tue, 21 Feb 2012 20:09:49 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

I see no prospect of this being implemented. You could try
directory-local variables instead. Closed as wontfix.

>From [email-masked] Sat Jun 21 16:59:40 2008
To: [email-masked]
Subject: multiple line Local Variables at the TOP of a file
From: [email-masked]
Date: Sat, 21 Jun 2008 17:59:35 +0800

Regarding (info "(emacs)Specifying File Variables"),
I am doing fine with my:
# Local Variables:
# compile-command: "txt2html --no-xhtml -8 hhh.txt|\
# perl -pwe 'print q(<meta http-equiv=\"Content-Type\" content=\
# \"text/html; charset=utf-8\">\n<meta http-equiv=\"Content-Language\"\
# content=\"zh-tw\">\n) if /^<META/i'> ghhh8.html"
# End:

However, the problem is I am always appending things to this file, and
before long, the Local Variables are too far from the bottom to be
evaluated.

Therefore, I attempted to move them to the top of the file,
# -*- compile-command: "txt2html --no-xhtml -8 hhh....

The problem is I also want to not have any long lines in my file, but
the Info page is not clear how to make a multiple line first line.
Please make a way. No fair having different rules at top vs. bottom of files.